#!/bin/bash

if [ ! -d "/usr/local/ifilter9/" ]; then
	echo "NetFilter not found."
	exit 1
fi

if [ ! -f "if_950R08_conf.tgz" ]; then
	echo "NetFilter config archive not found."
	exit 2
fi

tar xvf if_950R08_conf.tgz -C /usr/local/ifilter9/

if [ -L "/etc/rc.d/rc3.d/S97ifilter9" ]; then
	/etc/rc.d/init.d/ifilter9 start > /dev/null 2>&1
fi

exit 0
